Skip to main content
GET
/
v1
/
voiceai
/
knowledge-base
/
{document_id}
/
dependent-agents
Get Dependent Agents List
curl --request GET \
  --url https://api.example.com/v1/voiceai/knowledge-base/{document_id}/dependent-agents \
  --header 'x-api-key: <api-key>'
{
  "agents": [
    {
      "id": "<string>",
      "name": "<string>",
      "created_at_unix_secs": 123,
      "access_level": "admin",
      "type": "available",
      "referenced_resource_ids": [
        "<string>"
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Path Parameters

document_id
string
required

Query Parameters

dependent_type
enum<string>
default:all

Type of dependent agents to return.

Available options:
direct,
transitive,
all
page_size
integer
default:30

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

Paginated dependent agents for a document. This is the proper endpoint to get dependent agents (list response does NOT include them).

agents
(DependentAvailableAgentIdentifier · object | DependentUnknownAgentIdentifier · object)[]
required

List of dependent agents

Agent that depends on a resource (KB doc, tool, etc.) - user has access to view it. Enterprise-compatible discriminated union member.

has_more
boolean
required

Whether there are more agents to fetch

next_cursor
string | null

Cursor for fetching the next page